﻿/**Begin D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMAS_base_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_TBUDGETCTRL') 
 CREATE TABLE T_PMAS_TBUDGETCTRL (
FID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPROAPPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMBUDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPROAPPORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMBUDORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCUPYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOCCUPYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_TBUDGETCTRLDETAIL') 
 CREATE TABLE T_PMAS_TBUDGETCTRLDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROBUDGETID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMBUDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMBUDORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCUPYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOCCUPYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_YBUDGETCTRL') 
 CREATE TABLE T_PMAS_YBUDGETCTRL (
FID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FYEARPROAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FYEARPROORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_YBUDGETCTRLDETAIL') 
 CREATE TABLE T_PMAS_YBUDGETCTRLDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROBUDGETID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_MBUDGETCTRL') 
 CREATE TABLE T_PMAS_MBUDGETCTRL (
FID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FQUARTER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMONTH NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_MBUDGETCTRLDETAIL') 
 CREATE TABLE T_PMAS_MBUDGETCTRLDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROBUDGETID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FQUARTER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMONTH NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_QBUDGETCTRL') 
 CREATE TABLE T_PMAS_QBUDGETCTRL (
FID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FQUARTER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_QBUDGETCTRLDETAIL') 
 CREATE TABLE T_PMAS_QBUDGETCTRLDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROBUDGETID BIGINT DEFAULT 0 NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FQUARTER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETORIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREOCCPYUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSAGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMINDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTROLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_BUDGETEXERECORD') 
 CREATE TABLE T_PMAS_BUDGETEXERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FOPTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPACTION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPROBUDGETID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FQUARTER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMONTH NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZBILLMARK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYMARK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBIZUSER BIGINT DEFAULT 0 NOT NULL,
FOPTIME DATETIME,
FISEFFECT CHAR(1) DEFAULT '1' NOT NULL,
FBUDGETTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTROLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMAS_base_table.sql **/
